Subject: Re: [bug#38553] [PATCH 01/12] gnu: Add grantleetheme.

From: Ludovic Courtès <[email-masked]>
Date: Sun, 22 Dec 2019 00:13:40 +0100

Hi,

Hartmut Goebel <[email-masked]> skribis:

>>> +       (modify-phases (@ (guix build qt-build-system) %standard-phases)
>>                           ^
>> As a rule of thumb, we should avoid using ‘@’ and ‘@@’.  So here, I’d
>> suggest writing
>>
>>   #:modules ((guix build qt-build-system) …)
>>
>> to make sure that module is in scope.
>
> AFAIU the module already is in scope, since it is part of
> %qt-build-system-modules. What I intend here is to address
> "%standard-phases" as defined in (guix build qt-build-system).

Actually, unless I’m mistaken, (guix build qt-build-system) is not in
scope by default.  To fix it, we need:

diff --git a/guix/build-system/qt.scm b/guix/build-system/qt.scm
index b776845377..e2f277d3ca 100644
--- a/guix/build-system/qt.scm
+++ b/guix/build-system/qt.scm
@@ -126,7 +126,7 @@
                       (qt-wrap-excluded-outputs ''())
                       (system (%current-system))
                       (imported-modules %qt-build-system-modules)
-                      (modules '((guix build cmake-build-system)
+                      (modules '((guix build qt-build-system)
                                  (guix build utils))))
   "Build SOURCE using CMAKE, and with INPUTS. This assumes that SOURCE
 provides a 'CMakeLists.txt' file as its build system."
@@ -208,7 +208,7 @@ provides a 'CMakeLists.txt' file as its build system."
                             (system (%current-system))
                             (build (nix-system->gnu-triplet system))
                             (imported-modules %qt-build-system-modules)
-                            (modules '((guix build cmake-build-system)
+                            (modules '((guix build qt-build-system)
                                        (guix build utils))))
   "Cross-build NAME using CMAKE for TARGET, where TARGET is a GNU triplet and
 with INPUTS.  This assumes that SOURCE provides a 'CMakeLists.txt' file as its

Does that make sense?

With this change in place, no need for ‘@’!  :-)

>>> +    (license (list license:gpl2+ license:lgpl2.0+ license:fdl1.2+))))
>> Could you add a comment explaining whether this is triple-license or
>> something else?
>
> This seems to be common to many KDE packages including programs, libs
> and docs. Programs have GPL, libs have LGPL and docs have FDL. Of course
> I can add a respective comment, which most of the packages would get. Is
> this your intention?

Oh I see.  Yes, that was my intention, but I guess you could make a
super-concise one-line summary of that.

Thanks!

Ludo’.